scala.xml
class MetaData

[source: `scala/xml/MetaData.scala`]

@serializable
`abstract` `class` MetaData
  `extends` Collection[MetaData]

  Attribute information item, and linked list of attribute information items. These are triples consisting of `prefix,key,value`. To obtain the namespace, `getNamespace` must be called with the parent. If next is null, this is the last attribute in the MetaData list.

  Either an UnprefixedAttribute or a PrefixedAttribute

Todo
  _vlue should be a normalized attribute value

Direct Known Subclasses:
  Null, PrefixedAttribute, UnprefixedAttribute

Method Summary
`def` | append (m : MetaData) : MetaData appends given MetaData items to this MetaData list.
`abstract def` | apply (key : String) : Seq[Node] Gets value of unqualified (unprefixed) attribute with given key, null if not found
`final def` | apply (namespace : String, owner : Node, key : String) : Seq[Node] convenience method, same as `apply(namespace, owner.scope, key)`.
`abstract def` | apply (uri : String, scp : NamespaceBinding, k : String) : Seq[Node] Gets value of prefixed attribute with given key and namespace, null if not found
`def` | containedIn1 (m : MetaData) : Boolean
`abstract def` | copy (next : MetaData) : MetaData returns a copy of this MetaData item with next field set to argument.
`def` | elements : Iterator[MetaData] returns an iterator on attributes
`override def` | equals (that : Any) : Boolean deep equals method
`abstract def` | equals1 (that : MetaData) : Boolean shallow equals method
`override def` | filter (f : (MetaData) => Boolean) : MetaData filters this sequence of meta data
`final def` | get (uri : String, scope : NamespaceBinding, key : String) : Option[Seq[Node]] gets value of qualified (prefixed) attribute with given key.
`final def` | get (uri : String, owner : Node, key : String) : Option[Seq[Node]] same as get(uri, owner.scope, key)
`final def` | get (key : String) : Option[Seq[Node]] Gets value of unqualified (unprefixed) attribute with given key, None if not found
`abstract def` | getNamespace (owner : Node) : String if owner is the element of this metadata item, returns namespace
`def` | hasNext : Boolean
`override abstract def` | hashCode : Int
`abstract def` | isPrefixed : Boolean
`abstract def` | key : String returns key of this MetaData item
`def` | length (i : Int) : Int
`def` | length : Int
`def` | map (f : (MetaData) => Text) : List[Text] maps this sequence of meta data
`abstract def` | next : MetaData returns Null or the next MetaData item
`abstract def` | remove (namespace : String, scope : NamespaceBinding, key : String) : MetaData
`abstract def` | remove (key : String) : MetaData
`final def` | remove (namespace : String, owner : Node, key : String) : MetaData
`def` | size : Int Returns the number of elements in this collection.
`def` | toString (sb : StringBuilder) : StringBuilder
`override def` | toString : String
`def` | toString1 : String
`abstract def` | toString1 (sb : StringBuilder) : Unit
`abstract def` | value : Seq[Node] returns value of this MetaData item
`abstract def` | wellformed (scope : NamespaceBinding) : Boolean

Methods inherited from Collection
toArray, stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, isEmpty, projection, hasDefiniteSize

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf